Skip to content
Docs

Notifications

24 operations in the Adverity Connect API. Replace {{INSTANCE}} and {{KEY}} in the examples with your instance and API key. How authentication works.

List notifications email

GET/api/notifications/email/

API key permissionUser: Read-onlyuser:read

Query parameters

  • orderingstring

    Which field to use when ordering the results.

  • pageinteger

    A page number within the paginated result set.

Responses

200OKapplication/json

Response schema

object PaginatedEmailSubscriptionList

  • countintegerrequired

    Example 123

  • nextstring · urinullable

    Example "http://api.example.org/accounts/?page=4"

  • previousstring · urinullable

    Example "http://api.example.org/accounts/?page=2"

  • resultsarray of objectrequired
    Items · EmailSubscription
    • idintegerrequiredread-only
    • userinteger
    • enabledboolean
    • stacksarray of integer
    • datastreamsarray of integer
    • notify_about_empty_extractsboolean
    • exclude_warningsboolean

      Skips warning-level notifications for the "Datastream and Transformation Issues" and "Data Quality Issues" topics.

    • topicsarray of stringrequired
    • emailstring · emailrequired

      Max length 254

Create notifications email

POST/api/notifications/email/

API key permissionUser: Writeuser:write

Request bodyrequired

application/json also application/x-www-form-urlencoded, multipart/form-data

Body schema

object EmailSubscription

  • userinteger
  • enabledboolean
  • stacksarray of integer
  • datastreamsarray of integer
  • notify_about_empty_extractsboolean
  • exclude_warningsboolean

    Skips warning-level notifications for the "Datastream and Transformation Issues" and "Data Quality Issues" topics.

  • topicsarray of stringrequired
  • emailstring · emailrequired

    Max length 254

Responses

201Createdapplication/json

Response schema

object EmailSubscription

  • idintegerrequiredread-only
  • userinteger
  • enabledboolean
  • stacksarray of integer
  • datastreamsarray of integer
  • notify_about_empty_extractsboolean
  • exclude_warningsboolean

    Skips warning-level notifications for the "Datastream and Transformation Issues" and "Data Quality Issues" topics.

  • topicsarray of stringrequired
  • emailstring · emailrequired

    Max length 254

Get notifications email

GET/api/notifications/email/{id}/

API key permissionUser: Read-onlyuser:read

Path parameters

  • idintegerrequired

    A unique integer value identifying this email subscription.

Responses

200OKapplication/json

Response schema

object EmailSubscription

  • idintegerrequiredread-only
  • userinteger
  • enabledboolean
  • stacksarray of integer
  • datastreamsarray of integer
  • notify_about_empty_extractsboolean
  • exclude_warningsboolean

    Skips warning-level notifications for the "Datastream and Transformation Issues" and "Data Quality Issues" topics.

  • topicsarray of stringrequired
  • emailstring · emailrequired

    Max length 254

Replace notifications email

PUT/api/notifications/email/{id}/

API key permissionUser: Writeuser:write

Path parameters

  • idintegerrequired

    A unique integer value identifying this email subscription.

Request bodyrequired

application/json also application/x-www-form-urlencoded, multipart/form-data

Body schema

object EmailSubscription

  • userinteger
  • enabledboolean
  • stacksarray of integer
  • datastreamsarray of integer
  • notify_about_empty_extractsboolean
  • exclude_warningsboolean

    Skips warning-level notifications for the "Datastream and Transformation Issues" and "Data Quality Issues" topics.

  • topicsarray of stringrequired
  • emailstring · emailrequired

    Max length 254

Responses

200OKapplication/json

Response schema

object EmailSubscription

  • idintegerrequiredread-only
  • userinteger
  • enabledboolean
  • stacksarray of integer
  • datastreamsarray of integer
  • notify_about_empty_extractsboolean
  • exclude_warningsboolean

    Skips warning-level notifications for the "Datastream and Transformation Issues" and "Data Quality Issues" topics.

  • topicsarray of stringrequired
  • emailstring · emailrequired

    Max length 254

Update notifications email

PATCH/api/notifications/email/{id}/

API key permissionUser: Writeuser:write

Path parameters

  • idintegerrequired

    A unique integer value identifying this email subscription.

Request body

application/json also application/x-www-form-urlencoded, multipart/form-data

Body schema

object PatchedEmailSubscription

  • userinteger
  • enabledboolean
  • stacksarray of integer
  • datastreamsarray of integer
  • notify_about_empty_extractsboolean
  • exclude_warningsboolean

    Skips warning-level notifications for the "Datastream and Transformation Issues" and "Data Quality Issues" topics.

  • topicsarray of string
  • emailstring · email

    Max length 254

Responses

200OKapplication/json

Response schema

object EmailSubscription

  • idintegerrequiredread-only
  • userinteger
  • enabledboolean
  • stacksarray of integer
  • datastreamsarray of integer
  • notify_about_empty_extractsboolean
  • exclude_warningsboolean

    Skips warning-level notifications for the "Datastream and Transformation Issues" and "Data Quality Issues" topics.

  • topicsarray of stringrequired
  • emailstring · emailrequired

    Max length 254

Delete notifications email

DELETE/api/notifications/email/{id}/

API key permissionUser: Writeuser:write

Path parameters

  • idintegerrequired

    A unique integer value identifying this email subscription.

Responses

204No response body

List notifications microsoftteams

GET/api/notifications/microsoftteams/

API key permissionUser: Read-onlyuser:read

Query parameters

  • orderingstring

    Which field to use when ordering the results.

  • pageinteger

    A page number within the paginated result set.

Responses

200OKapplication/json

Response schema

object PaginatedMicrosoftTeamsSubscriptionList

  • countintegerrequired

    Example 123

  • nextstring · urinullable

    Example "http://api.example.org/accounts/?page=4"

  • previousstring · urinullable

    Example "http://api.example.org/accounts/?page=2"

  • resultsarray of objectrequired
    Items · MicrosoftTeamsSubscription
    • idintegerrequiredread-only
    • userinteger
    • enabledboolean
    • stacksarray of integer
    • datastreamsarray of integer
    • notify_about_empty_extractsboolean
    • exclude_warningsboolean

      Skips warning-level notifications for the "Datastream and Transformation Issues" and "Data Quality Issues" topics.

    • webhook_urlstring · urirequired

      Max length 400

Create notifications microsoftteams

POST/api/notifications/microsoftteams/

API key permissionUser: Writeuser:write

Request bodyrequired

application/json also application/x-www-form-urlencoded, multipart/form-data

Body schema

object MicrosoftTeamsSubscription

  • userinteger
  • enabledboolean
  • stacksarray of integer
  • datastreamsarray of integer
  • notify_about_empty_extractsboolean
  • exclude_warningsboolean

    Skips warning-level notifications for the "Datastream and Transformation Issues" and "Data Quality Issues" topics.

  • webhook_urlstring · urirequired

    Max length 400

Responses

201Createdapplication/json

Response schema

object MicrosoftTeamsSubscription

  • idintegerrequiredread-only
  • userinteger
  • enabledboolean
  • stacksarray of integer
  • datastreamsarray of integer
  • notify_about_empty_extractsboolean
  • exclude_warningsboolean

    Skips warning-level notifications for the "Datastream and Transformation Issues" and "Data Quality Issues" topics.

  • webhook_urlstring · urirequired

    Max length 400

Get notifications microsoftteams

GET/api/notifications/microsoftteams/{id}/

API key permissionUser: Read-onlyuser:read

Path parameters

  • idintegerrequired

    A unique integer value identifying this Microsoft Teams subscription.

Responses

200OKapplication/json

Response schema

object MicrosoftTeamsSubscription

  • idintegerrequiredread-only
  • userinteger
  • enabledboolean
  • stacksarray of integer
  • datastreamsarray of integer
  • notify_about_empty_extractsboolean
  • exclude_warningsboolean

    Skips warning-level notifications for the "Datastream and Transformation Issues" and "Data Quality Issues" topics.

  • webhook_urlstring · urirequired

    Max length 400

Replace notifications microsoftteams

PUT/api/notifications/microsoftteams/{id}/

API key permissionUser: Writeuser:write

Path parameters

  • idintegerrequired

    A unique integer value identifying this Microsoft Teams subscription.

Request bodyrequired

application/json also application/x-www-form-urlencoded, multipart/form-data

Body schema

object MicrosoftTeamsSubscription

  • userinteger
  • enabledboolean
  • stacksarray of integer
  • datastreamsarray of integer
  • notify_about_empty_extractsboolean
  • exclude_warningsboolean

    Skips warning-level notifications for the "Datastream and Transformation Issues" and "Data Quality Issues" topics.

  • webhook_urlstring · urirequired

    Max length 400

Responses

200OKapplication/json

Response schema

object MicrosoftTeamsSubscription

  • idintegerrequiredread-only
  • userinteger
  • enabledboolean
  • stacksarray of integer
  • datastreamsarray of integer
  • notify_about_empty_extractsboolean
  • exclude_warningsboolean

    Skips warning-level notifications for the "Datastream and Transformation Issues" and "Data Quality Issues" topics.

  • webhook_urlstring · urirequired

    Max length 400

Update notifications microsoftteams

PATCH/api/notifications/microsoftteams/{id}/

API key permissionUser: Writeuser:write

Path parameters

  • idintegerrequired

    A unique integer value identifying this Microsoft Teams subscription.

Request body

application/json also application/x-www-form-urlencoded, multipart/form-data

Body schema

object PatchedMicrosoftTeamsSubscription

  • userinteger
  • enabledboolean
  • stacksarray of integer
  • datastreamsarray of integer
  • notify_about_empty_extractsboolean
  • exclude_warningsboolean

    Skips warning-level notifications for the "Datastream and Transformation Issues" and "Data Quality Issues" topics.

  • webhook_urlstring · uri

    Max length 400

Responses

200OKapplication/json

Response schema

object MicrosoftTeamsSubscription

  • idintegerrequiredread-only
  • userinteger
  • enabledboolean
  • stacksarray of integer
  • datastreamsarray of integer
  • notify_about_empty_extractsboolean
  • exclude_warningsboolean

    Skips warning-level notifications for the "Datastream and Transformation Issues" and "Data Quality Issues" topics.

  • webhook_urlstring · urirequired

    Max length 400

Delete notifications microsoftteams

DELETE/api/notifications/microsoftteams/{id}/

API key permissionUser: Writeuser:write

Path parameters

  • idintegerrequired

    A unique integer value identifying this Microsoft Teams subscription.

Responses

204No response body

List notifications slack

GET/api/notifications/slack/

API key permissionUser: Read-onlyuser:read

Query parameters

  • orderingstring

    Which field to use when ordering the results.

  • pageinteger

    A page number within the paginated result set.

Responses

200OKapplication/json

Response schema

object PaginatedSlackSubscriptionList

  • countintegerrequired

    Example 123

  • nextstring · urinullable

    Example "http://api.example.org/accounts/?page=4"

  • previousstring · urinullable

    Example "http://api.example.org/accounts/?page=2"

  • resultsarray of objectrequired
    Items · SlackSubscription
    • idintegerrequiredread-only
    • userinteger
    • enabledboolean
    • stacksarray of integer
    • datastreamsarray of integer
    • notify_about_empty_extractsboolean
    • exclude_warningsboolean

      Skips warning-level notifications for the "Datastream and Transformation Issues" and "Data Quality Issues" topics.

    • topicsarray of stringrequired
    • webhook_urlstring · urirequired

      Max length 200

    • channelstring

      Overrides the default channel

      Max length 50

Create notifications slack

POST/api/notifications/slack/

API key permissionUser: Writeuser:write

Request bodyrequired

application/json also application/x-www-form-urlencoded, multipart/form-data

Body schema

object SlackSubscription

  • userinteger
  • enabledboolean
  • stacksarray of integer
  • datastreamsarray of integer
  • notify_about_empty_extractsboolean
  • exclude_warningsboolean

    Skips warning-level notifications for the "Datastream and Transformation Issues" and "Data Quality Issues" topics.

  • topicsarray of stringrequired
  • webhook_urlstring · urirequired

    Max length 200

  • channelstring

    Overrides the default channel

    Max length 50

Responses

201Createdapplication/json

Response schema

object SlackSubscription

  • idintegerrequiredread-only
  • userinteger
  • enabledboolean
  • stacksarray of integer
  • datastreamsarray of integer
  • notify_about_empty_extractsboolean
  • exclude_warningsboolean

    Skips warning-level notifications for the "Datastream and Transformation Issues" and "Data Quality Issues" topics.

  • topicsarray of stringrequired
  • webhook_urlstring · urirequired

    Max length 200

  • channelstring

    Overrides the default channel

    Max length 50

Get notifications slack

GET/api/notifications/slack/{id}/

API key permissionUser: Read-onlyuser:read

Path parameters

  • idintegerrequired

    A unique integer value identifying this Slack subscription.

Responses

200OKapplication/json

Response schema

object SlackSubscription

  • idintegerrequiredread-only
  • userinteger
  • enabledboolean
  • stacksarray of integer
  • datastreamsarray of integer
  • notify_about_empty_extractsboolean
  • exclude_warningsboolean

    Skips warning-level notifications for the "Datastream and Transformation Issues" and "Data Quality Issues" topics.

  • topicsarray of stringrequired
  • webhook_urlstring · urirequired

    Max length 200

  • channelstring

    Overrides the default channel

    Max length 50

Replace notifications slack

PUT/api/notifications/slack/{id}/

API key permissionUser: Writeuser:write

Path parameters

  • idintegerrequired

    A unique integer value identifying this Slack subscription.

Request bodyrequired

application/json also application/x-www-form-urlencoded, multipart/form-data

Body schema

object SlackSubscription

  • userinteger
  • enabledboolean
  • stacksarray of integer
  • datastreamsarray of integer
  • notify_about_empty_extractsboolean
  • exclude_warningsboolean

    Skips warning-level notifications for the "Datastream and Transformation Issues" and "Data Quality Issues" topics.

  • topicsarray of stringrequired
  • webhook_urlstring · urirequired

    Max length 200

  • channelstring

    Overrides the default channel

    Max length 50

Responses

200OKapplication/json

Response schema

object SlackSubscription

  • idintegerrequiredread-only
  • userinteger
  • enabledboolean
  • stacksarray of integer
  • datastreamsarray of integer
  • notify_about_empty_extractsboolean
  • exclude_warningsboolean

    Skips warning-level notifications for the "Datastream and Transformation Issues" and "Data Quality Issues" topics.

  • topicsarray of stringrequired
  • webhook_urlstring · urirequired

    Max length 200

  • channelstring

    Overrides the default channel

    Max length 50

Update notifications slack

PATCH/api/notifications/slack/{id}/

API key permissionUser: Writeuser:write

Path parameters

  • idintegerrequired

    A unique integer value identifying this Slack subscription.

Request body

application/json also application/x-www-form-urlencoded, multipart/form-data

Body schema

object PatchedSlackSubscription

  • userinteger
  • enabledboolean
  • stacksarray of integer
  • datastreamsarray of integer
  • notify_about_empty_extractsboolean
  • exclude_warningsboolean

    Skips warning-level notifications for the "Datastream and Transformation Issues" and "Data Quality Issues" topics.

  • topicsarray of string
  • webhook_urlstring · uri

    Max length 200

  • channelstring

    Overrides the default channel

    Max length 50

Responses

200OKapplication/json

Response schema

object SlackSubscription

  • idintegerrequiredread-only
  • userinteger
  • enabledboolean
  • stacksarray of integer
  • datastreamsarray of integer
  • notify_about_empty_extractsboolean
  • exclude_warningsboolean

    Skips warning-level notifications for the "Datastream and Transformation Issues" and "Data Quality Issues" topics.

  • topicsarray of stringrequired
  • webhook_urlstring · urirequired

    Max length 200

  • channelstring

    Overrides the default channel

    Max length 50

Delete notifications slack

DELETE/api/notifications/slack/{id}/

API key permissionUser: Writeuser:write

Path parameters

  • idintegerrequired

    A unique integer value identifying this Slack subscription.

Responses

204No response body

List notifications webhook

GET/api/notifications/webhook/

API key permissionUser: Read-onlyuser:read

Query parameters

  • orderingstring

    Which field to use when ordering the results.

  • pageinteger

    A page number within the paginated result set.

Responses

200OKapplication/json

Response schema

object PaginatedWebhookList

  • countintegerrequired

    Example 123

  • nextstring · urinullable

    Example "http://api.example.org/accounts/?page=4"

  • previousstring · urinullable

    Example "http://api.example.org/accounts/?page=2"

  • resultsarray of objectrequired
    Items · Webhook
    • idintegerrequiredread-only
    • payload_urlstring · urirequired

      Max length 1000

    • eventsarray of stringrequired
    • enabledboolean

Create notifications webhook

POST/api/notifications/webhook/

API key permissionUser: Writeuser:write

Request bodyrequired

application/json also application/x-www-form-urlencoded, multipart/form-data

Body schema

object Webhook

  • payload_urlstring · urirequired

    Max length 1000

  • eventsarray of stringrequired
  • enabledboolean
  • secretstringwrite-onlynullable

    Max length 200

Responses

201Createdapplication/json

Response schema

object Webhook

  • idintegerrequiredread-only
  • payload_urlstring · urirequired

    Max length 1000

  • eventsarray of stringrequired
  • enabledboolean

Get notifications webhook

GET/api/notifications/webhook/{id}/

API key permissionUser: Read-onlyuser:read

Path parameters

  • idintegerrequired

    A unique integer value identifying this Webhook.

Responses

200OKapplication/json

Response schema

object Webhook

  • idintegerrequiredread-only
  • payload_urlstring · urirequired

    Max length 1000

  • eventsarray of stringrequired
  • enabledboolean

Replace notifications webhook

PUT/api/notifications/webhook/{id}/

API key permissionUser: Writeuser:write

Path parameters

  • idintegerrequired

    A unique integer value identifying this Webhook.

Request bodyrequired

application/json also application/x-www-form-urlencoded, multipart/form-data

Body schema

object Webhook

  • payload_urlstring · urirequired

    Max length 1000

  • eventsarray of stringrequired
  • enabledboolean
  • secretstringwrite-onlynullable

    Max length 200

Responses

200OKapplication/json

Response schema

object Webhook

  • idintegerrequiredread-only
  • payload_urlstring · urirequired

    Max length 1000

  • eventsarray of stringrequired
  • enabledboolean

Update notifications webhook

PATCH/api/notifications/webhook/{id}/

API key permissionUser: Writeuser:write

Path parameters

  • idintegerrequired

    A unique integer value identifying this Webhook.

Request body

application/json also application/x-www-form-urlencoded, multipart/form-data

Body schema

object PatchedWebhook

  • payload_urlstring · uri

    Max length 1000

  • eventsarray of string
  • enabledboolean
  • secretstringwrite-onlynullable

    Max length 200

Responses

200OKapplication/json

Response schema

object Webhook

  • idintegerrequiredread-only
  • payload_urlstring · urirequired

    Max length 1000

  • eventsarray of stringrequired
  • enabledboolean

Delete notifications webhook

DELETE/api/notifications/webhook/{id}/

API key permissionUser: Writeuser:write

Path parameters

  • idintegerrequired

    A unique integer value identifying this Webhook.

Responses

204No response body

Was this page helpful?